import { Controller, Get, Post, Body, Patch, Param, Delete, HttpStatus, HttpCode } from '@nestjs/common';
import { AuthUserService } from './auth-user.service';
import { RegisterDto } from './dto/registrer.dto';
import { LoginUserDto } from './dto/login-user.dto';


@Controller('auth-user')
export class AuthUserController {
  constructor(private readonly authUserService: AuthUserService) {}

  @Post('register')
  register(@Body() registerUser: RegisterDto) {
    console.log(registerUser);
    return this.authUserService.register(registerUser);

  }

  @HttpCode(HttpStatus.OK)
  @Post('login')
  login(@Body() loginUser: LoginUserDto){
    return this.authUserService.login(loginUser);
  }
}
