import { Transform } from "class-transformer";
import { IsEmail, IsNumber, IsString, MinLength } from "class-validator";

export class RegisterDto {
    @IsString()
    @MinLength(30)
    name: string;

    @IsString()
    @MinLength(30)
    lastname: string;

    @IsEmail()
    email: string;  

    @IsNumber()
    @MinLength(10)
    phone: number;

    @IsString()
    @MinLength(8)
    @Transform(({ value }) => value.trim())
    password: string; 


}
