import { Controller, Get, Post, Body, Patch, Param, Delete } from '@nestjs/common';
import { AuthAdminService } from './auth-admin.service';
import { loginAdmin } from './dto/login-admin.dto';


@Controller('auth-admin')
export class AuthAdminController {
  constructor(private readonly authAdminService: AuthAdminService) {}

  @Post()
  create(@Body() loginAdmin: loginAdmin) {
    return this.authAdminService.create(loginAdmin);
  }

  @Get()
  findAll() {
    return this.authAdminService.findAll();
  }

  @Get(':id')
  findOne(@Param('id') id: string) {
    return this.authAdminService.findOne(+id);
  }


}
