import { Transform } from "class-transformer";
import { IsEmail, IsString, MinLength } from "class-validator";
export class loginAdmin {
    @IsEmail()
    email: string;

    @IsString()
    @MinLength(6)
    @Transform(({ value }) => value.trim())
    password: string;

    static adminCount: number = 0;

    constructor(email: string, password: string) {
        this.email = email;
        this.password = password;
        loginAdmin.adminCount++;
    }
}
