import 'dart:ui';

import 'package:aplicacionrutasturisticas/config/dio.dart';
import 'package:aplicacionrutasturisticas/utilerias/Buttons.dart';
import 'package:aplicacionrutasturisticas/utilerias/Textfields.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:flutter/services.dart';
import 'package:go_router/go_router.dart';

class RegistroPage extends StatefulWidget {
  const RegistroPage({super.key});
  static String id = "register_page";
  @override
  RegistroPageState createState() => RegistroPageState();
}

class RegistroPageState extends State<RegistroPage> {
  final nombre = TextEditingController();
  final apellido = TextEditingController();
  final email = TextEditingController();

  final pasword = TextEditingController();
  final passwordConfirmed = TextEditingController();

  String nom = "", ape = "", ema = "", pass = "", passc = "";

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: SizedBox(
              child: Center(
                  child: Text("Registro",
                      style: const TextStyle(fontWeight: FontWeight.bold),
                      selectionColor: Colors.black,
                      textScaleFactor: lerpDouble(2, 2, 3)))),
        ),
        //backgroundColor: Colors.black,
        body: Center(
          child: SingleChildScrollView(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                const iconButton(),
                const SizedBox(
                  height: 20.0,
                ),
                hacerTextField(
                    controller: nombre, texto: "Nombre/s", ocultar: false),
                SizedBox(height: 20),
                Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    hacerTextField(
                      controller: apellido,
                      texto: "Apellidos",
                      ocultar: false,
                    ),
                  ],
                ),
                const SizedBox(height: 20),
                ColoredBox(
                  color: Colors.white,
                  child: hacerTextField(
                    controller: email,
                    texto: "Email",
                    ocultar: false,
                  ),
                ),
                SizedBox(
                  height: 20,
                ),
                ColoredBox(
                    color: Colors.white,
                    child: hacerTextField(
                        controller: pasword,
                        texto: "Contraseña",
                        ocultar: true)),
                SizedBox(height: 20),
                ColoredBox(
                  color: Colors.white,
                  child: hacerTextField(
                      controller: passwordConfirmed,
                      texto: "Confirma contraseña",
                      ocultar: true),
                ),
                SizedBox(height: 20),
                ColoredBox(
                    color: Colors.white,
                    child: boton_Escribir(
                      texto: "Registro",
                      onPression: precionaRegistro,
                    ))
              ],
            ),
          ),
        ),
      ),
    );
  }

  void precionaRegistro() {
    //int phoneInt = int.parse(pho);
    nom = nombre.text;
    ape = apellido.text;
    ema = email.text;
    pass = pasword.text;
    passc = passwordConfirmed.text;

    print("Haz presionado el boton \n");
    print(nom + " " + ape + ' ' + ema + ' ' + pass + ' ' + passc + " \n ");

    if (pass == passc) {
      Registro_Datos(nom, ape, ema, pass);
      context.goNamed("LoginPage");
    } else {
      print("La contraseña es incorrecta");
      showModalBottomSheet(
          context: context,
          builder: (BuildContext context) {
            return Container(
                child: Padding(
              padding: const EdgeInsets.all(10),
              child: Column(
                children: [
                  Text(
                    "La contraseña es incorrecta",
                    textAlign: TextAlign.center,
                    style: TextStyle(fontSize: 20),
                  )
                ],
              ),
            ));
          });
    }
  }
}
