import 'dart:ui';

import 'package:aplicacionrutasturisticas/utilerias/Images.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

class StartedPage extends StatefulWidget {
  const StartedPage({super.key});

  @override
  StartedPageState createState() => StartedPageState();
}

class StartedPageState extends State<StartedPage> {
  final String nombre = "Pancho";
  final String bienvenida = "Bienvenido!";

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: Text(bienvenida,
              style: const TextStyle(fontWeight: FontWeight.bold),
              selectionColor: Colors.black,
              textScaleFactor: lerpDouble(2, 2, 3)),
        ),
        body: Center(
          child: SingleChildScrollView(
            child: Column(
              children: [
                Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    ImagesWithTextNetwork(
                        text: "Crear Ruta",
                        onTap: buttonCrearRuta,
                        imageURL:
                            "https://www.eluniversal.com.mx/resizer/cyelyPh4C4pSbIBjHdO0WSF8FSs=/1100x666/cloudfront-us-east-1.images.arcpublishing.com/eluniversal/DWSWJNA4B5HDBKAXYD6YTFUUUI.jpg"),
                    //WithText(text: "Crear Ruta", onTap: buttonCrearRuta),
                    const SizedBox(width: 20),
                    ImagesWithTextNetwork(
                        text: "Ruta Recomendada",
                        onTap: buttonRutaRecomendada,
                        imageURL:
                            "https://assets.turismocity.com/cdn-cgi/image/format=auto,width=500,fit=scale-down/ruta-40-argentina.jpeg")
                  ],
                ),
                const SizedBox(height: 30),
                Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                    ImagesWithTextNetwork(
                        text: "Lista de Lugares",
                        onTap: buttonListadeLugares,
                        imageURL:
                            "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQhuG72NEweDkbylMmq7Mh3MSI0orCC4Xupsg&usqp=CAU"),
                    const SizedBox(width: 20),
                    ImagesWithTextNetwork(
                        text: "Rutas Completadas",
                        onTap: buttonRutasCompletadas,
                        imageURL:
                            "https://static.vecteezy.com/system/resources/previews/015/954/844/non_2x/all-systems-are-ready-tasks-completed-conditions-met-full-readiness-fact-check-series-of-correct-decisions-implementation-of-roadmap-agreement-compliance-with-criteria-fulfill-all-requirements-photo.jpg")
                  ],
                )
              ],
            ),
          ),
        ),
      ),
    );
  }

  void buttonCrearRuta() {
    print("Haz presionado Crear Ruta");
  }

  void buttonRutaRecomendada() {
    print("Haz presionado Ruta Recomendada");
  }

  void buttonListadeLugares() {
    print("Haz precionado Lista de Lugares");
  }

  void buttonRutasCompletadas() {
    print("Haz precionado Rutas Recomendadas");
  }
}
