import 'package:flutter/material.dart';

class ImagesWithTextNetwork extends StatelessWidget {
  final String imageURL;
  final String text;
  final VoidCallback? onTap;

  const ImagesWithTextNetwork({
    Key? key,
    required this.text,
    required this.onTap,
    required this.imageURL,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
        onTap: onTap,
        child: ClipRRect(
          borderRadius: BorderRadius.circular(30),
          child: Stack(
            alignment: Alignment.center,
            children: [
              Image.network(
                imageURL,
                height: 100,
                width: 150,
              ),
              Container(
                color: Colors.black54,
                child: Text(
                  text,
                  style: TextStyle(
                    color: Colors.white,
                  ),
                ),
              )
            ],
          ),
        ));
  }
}

class WithText extends StatelessWidget {
  final String text;
  final VoidCallback? onTap;

  const WithText({
    Key? key,
    required this.text,
    required this.onTap,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
        customBorder: Border.all(
          color: Colors.black,
          width: 500,
        ),
        onTap: onTap,
        child: ClipRRect(
          borderRadius: BorderRadius.circular(30),
          child: Stack(
            alignment: Alignment.center,
            children: [
              Container(
                width: 100,
                height: 100,
                color: Colors.white,
                child: Center(
                  child: Text(
                    text,
                    style: TextStyle(
                      color: Colors.black,
                    ),
                  ),
                ),
              )
            ],
          ),
        ));
  }
}
